net.minecraft.client.gui

## Class GuiOptionsRowList

- java.lang.Object
- - net.minecraft.client.gui.GuiSlot
  - - net.minecraft.client.gui.GuiListExtended
    - - net.minecraft.client.gui.GuiOptionsRowList

-     public class GuiOptionsRowList
      extends GuiListExtended

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GuiOptionsRowList.Row`

    - ### Nested classes/interfaces inherited from class net.minecraft.client.gui.GuiListExtended

      `GuiListExtended.IGuiListEntry`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.gui.GuiSlot

      `bottom, field_148163_i, headerPadding, height, left, mouseX, mouseY, right, slotHeight, top, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiOptionsRowList(Minecraft p_i45015_1_, int p_i45015_2_, int p_i45015_3_, int p_i45015_4_, int p_i45015_5_, int p_i45015_6_, GameSettings.Options... p_i45015_7_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GuiOptionsRowList.Row` | `getListEntry(int p_148183_1_)`
    `int` | `getListWidth()`
    `protected int` | `getScrollBarX()`
    `protected int` | `getSize()`

    - ### Methods inherited from class net.minecraft.client.gui.GuiListExtended

      `drawBackground, drawSlot, elementClicked, func_148179_a, func_148181_b, isSelected`

    - ### Methods inherited from class net.minecraft.client.gui.GuiSlot

      `actionPerformed, drawContainerBackground, drawListHeader, drawScreen, drawSelectionBox, func_148122_a, func_148124_c, func_148125_i, func_148132_a, func_148135_f, func_148141_e, func_148142_b, func_148143_b, getAmountScrolled, getContentHeight, getSlotHeight, registerScrollButtons, scrollBy, setHasListHeader, setShowSelectionBox, setSlotXBoundsFromLeft`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiOptionsRowList

          public GuiOptionsRowList(Minecraft p_i45015_1_,
                           int p_i45015_2_,
                           int p_i45015_3_,
                           int p_i45015_4_,
                           int p_i45015_5_,
                           int p_i45015_6_,
                           GameSettings.Options... p_i45015_7_)

  - ### Method Detail

    - #### getListEntry

          public GuiOptionsRowList.Row getListEntry(int p_148183_1_)

      Specified by:
        `getListEntry` in class `GuiListExtended`

    - #### getSize

          protected int getSize()

      Specified by:
        `getSize` in class `GuiSlot`

    - #### getListWidth

          public int getListWidth()

      Overrides:
        `getListWidth` in class `GuiSlot`

    - #### getScrollBarX

          protected int getScrollBarX()

      Overrides:
        `getScrollBarX` in class `GuiSlot`